from src.detections import PhoneNumberDetection
from src.detectors.phone import PhoneNumberDetector


def test_detect_phone_numbers():
    detector = PhoneNumberDetector()

    text = "My phone number is +48 123 456 789. My friend's number is 123456789."
    found_phone_numbers = detector.detect(text, dict())

    assert found_phone_numbers == [
        (19, 34, PhoneNumberDetection()),
        (58, 67, PhoneNumberDetection()),
    ]
